[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TListItem.GetStates

Returns all the states for the list item.

## Declaration

Source position: comctrls.pp line 1071

`public function TListItem.GetStates: TListItemStates;`

## Function result

State values for the list item.

## Description

GetStates is a TListItemStates function used to get the state values for an item in a list view control. The state values are retrieved using methods in the widgetset class for the TCustomListView control which owns the list item. If the widgetset class does not return the values, the return value contains the existing values in the States member for the TListItem instance.